Macintosh won't run PHP - possible "malicious" cod

 
Post new topic   Reply to topic    Aprelium Forum Index -> General Questions
View previous topic :: View next topic  
Author Message
dbarak
-


Joined: 30 Jan 2020
Posts: 2

PostPosted: Thu Jan 30, 2020 1:38 am    Post subject: Macintosh won't run PHP - possible "malicious" cod Reply with quote

Hi everyone,

This is my first post. In the past I've never had a problem installing or running Abyss, but I have a new Apple MacBook Air and although I managed to install and configure Abyss and PHP, my Mac - smarter than me apparently (sarcasm) - won't run PHP because it says it might be malicious code and it can't be checked. Short of blowing up my computer, is there something I can do to resolve this? I've "told" the preferences to "allow anyway" for all the following:

“libiconv.2.dylib” can’t be opened because Apple cannot check it for malicious software.

“libsqlite3.dylib” can’t be opened because Apple cannot check it for malicious software.

“libcurl.4.dylib” can’t be opened because Apple cannot check it for malicious software.

“libpng16.16.dylib” can’t be opened because Apple cannot check it for malicious software.\

Help?

Dave
Back to top View user's profile Send private message
admin
Site Admin


Joined: 03 Mar 2002
Posts: 982

PostPosted: Tue Feb 04, 2020 5:38 pm    Post subject: Re: Macintosh won't run PHP - possible "malicious" Reply with quote

dbarak,

There is nothing malicious in these files. Our preconfigured PHP package has been well signed by our developer ID from Apple and it works fine except on the new macOS Catalina.

Catalina broke several things and software signature is one of them. For Catalina support to be fine, we have to drop support for all legacy macOS platforms and people who are still running old systems.

We are working on a solution right now and the next version of the preconfigured PHP package will be Catalina-friendly.
_________________
Follow @abyssws on Twitter
Subscribe to our newsletter
_________________
Forum Administrator
Aprelium - https://aprelium.com
Back to top View user's profile Send private message
dbarak
-


Joined: 30 Jan 2020
Posts: 2

PostPosted: Tue Feb 04, 2020 5:49 pm    Post subject: Re: Macintosh won't run PHP - possible "malicious" Reply with quote

Right, I figured it wasn't a problem with the product. I installed Abyss just fine a couple of days earlier on a Windows machine, and never had problems in the past with Macs. I thought maybe there was something I could change in the way Macs handle code mistakenly identified "suspicious" but my dwindling faith in Apple was once again dashed. ; )



admin wrote:
dbarak,

There is nothing malicious in these files. Our preconfigured PHP package has been well signed by our developer ID from Apple and it works fine except on the new macOS Catalina.

Catalina broke several things and software signature is one of them. For Catalina support to be fine, we have to drop support for all legacy macOS platforms and people who are still running old systems.

We are working on a solution right now and the next version of the preconfigured PHP package will be Catalina-friendly.
Back to top View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> General Questions All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group